summaryrefslogtreecommitdiffstats
path: root/system/gnome-commander
diff options
context:
space:
mode:
author David Somero2010-05-19 08:48:56 +0200
committer David Somero2010-05-19 08:48:56 +0200
commit1044415b26398c225bcb35925f37622f6b5da6a2 (patch)
tree0d354105e958ec05a983ebff1ca9b5cd6a69ebc9 /system/gnome-commander
parenteca63bc874a0ea4e740196d8e019fd4862e94af8 (diff)
downloadslackbuilds-1044415b26398c225bcb35925f37622f6b5da6a2.tar.gz
system/gnome-commander: Fixed for bash4.
Diffstat (limited to 'system/gnome-commander')
-rw-r--r--system/gnome-commander/gnome-commander.SlackBuild10
1 files changed, 3 insertions, 7 deletions
diff --git a/system/gnome-commander/gnome-commander.SlackBuild b/system/gnome-commander/gnome-commander.SlackBuild
index 73cc7639b5..cf1ffd3e69 100644
--- a/system/gnome-commander/gnome-commander.SlackBuild
+++ b/system/gnome-commander/gnome-commander.SlackBuild
@@ -51,12 +51,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -74,4 +70,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}